Index: libcfa/src/iostream.cfa
===================================================================
--- libcfa/src/iostream.cfa	(revision d796be70ffd585b1fe3d76c6c3d82d2213614cfd)
+++ libcfa/src/iostream.cfa	(revision b12e4adafec0b1555ac53553d12acbcfb9a69558)
@@ -10,6 +10,6 @@
 // Created On       : Wed May 27 17:56:53 2015
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Mon Jul 15 08:16:48 2024
-// Update Count     : 2020
+// Last Modified On : Fri Aug  2 07:38:44 2024
+// Update Count     : 2021
 //
 
@@ -47,5 +47,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( bool )
+	OSTYPE_VOID_IMPL( os, bool )
 
 	ostype & ?|?( ostype & os, char c ) {
@@ -54,5 +54,5 @@
 		return nosep( os );
 	} // ?|?
-	OSTYPE_VOID_IMPL( char )
+	OSTYPE_VOID_IMPL( os, char )
 
 	ostype & ?|?( ostype & os, signed char sc ) {
@@ -61,5 +61,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( signed char )
+	OSTYPE_VOID_IMPL( os, signed char )
 
 	ostype & ?|?( ostype & os, unsigned char usc ) {
@@ -68,5 +68,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( unsigned char )
+	OSTYPE_VOID_IMPL( os, unsigned char )
 
 	ostype & ?|?( ostype & os, short int si ) {
@@ -75,5 +75,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( short int )
+	OSTYPE_VOID_IMPL( os, short int )
 
 	ostype & ?|?( ostype & os, unsigned short int usi ) {
@@ -82,5 +82,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( unsigned short int )
+	OSTYPE_VOID_IMPL( os, unsigned short int )
 
 	ostype & ?|?( ostype & os, int i ) {
@@ -89,5 +89,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( int )
+	OSTYPE_VOID_IMPL( os, int )
 
 	ostype & ?|?( ostype & os, unsigned int ui ) {
@@ -96,5 +96,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( unsigned int )
+	OSTYPE_VOID_IMPL( os, unsigned int )
 
 	ostype & ?|?( ostype & os, long int li ) {
@@ -103,5 +103,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( long int )
+	OSTYPE_VOID_IMPL( os, long int )
 
 	ostype & ?|?( ostype & os, unsigned long int uli ) {
@@ -110,5 +110,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( unsigned long int )
+	OSTYPE_VOID_IMPL( os, unsigned long int )
 
 	ostype & ?|?( ostype & os, long long int lli ) {
@@ -117,5 +117,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( long long int )
+	OSTYPE_VOID_IMPL( os, long long int )
 
 	ostype & ?|?( ostype & os, unsigned long long int ulli ) {
@@ -124,5 +124,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( unsigned long long int )
+	OSTYPE_VOID_IMPL( os, unsigned long long int )
 
 	#if defined( __SIZEOF_INT128__ )
@@ -156,5 +156,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( int128 )
+	OSTYPE_VOID_IMPL( os, int128 )
 
 	ostype & ?|?( ostype & os, unsigned int128 ullli ) {
@@ -163,5 +163,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( unsigned int128 )
+	OSTYPE_VOID_IMPL( os, unsigned int128 )
 	#endif // __SIZEOF_INT128__
 
@@ -186,5 +186,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( float )
+	OSTYPE_VOID_IMPL( os, float )
 
 	ostype & ?|?( ostype & os, double d ) {
@@ -193,5 +193,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( double )
+	OSTYPE_VOID_IMPL( os, double )
 
 	ostype & ?|?( ostype & os, long double ld ) {
@@ -200,5 +200,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( long double )
+	OSTYPE_VOID_IMPL( os, long double )
 
 	ostype & ?|?( ostype & os, float _Complex fc ) {
@@ -210,5 +210,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( float _Complex )
+	OSTYPE_VOID_IMPL( os, float _Complex )
 
 	ostype & ?|?( ostype & os, double _Complex dc ) {
@@ -220,5 +220,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( double _Complex )
+	OSTYPE_VOID_IMPL( os, double _Complex )
 
 	ostype & ?|?( ostype & os, long double _Complex ldc ) {
@@ -230,5 +230,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( long double _Complex )
+	OSTYPE_VOID_IMPL( os, long double _Complex )
 
 	ostype & ?|?( ostype & os, const char s[] ) {
@@ -273,5 +273,5 @@
 //		return write( os, s, len );
 	} // ?|?
-	OSTYPE_VOID_IMPL( const char * )
+	OSTYPE_VOID_IMPL( os, const char * )
 
 // 	ostype & ?|?( ostype & os, const char16_t s[] ) {
@@ -300,5 +300,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( const void * )
+	OSTYPE_VOID_IMPL( os, const void * )
 
 	// manipulators
@@ -487,5 +487,5 @@
 		return os; \
 	} /* ?|? */ \
-	OSTYPE_VOID_IMPL( _Ostream_Manip(T) ) \
+	OSTYPE_VOID_IMPL( os, _Ostream_Manip(T) ) \
 } // distribution
 
@@ -585,5 +585,5 @@
 		return os; \
 	} /* ?|? */ \
-	OSTYPE_VOID_IMPL( _Ostream_Manip(T) ) \
+	OSTYPE_VOID_IMPL( os, _Ostream_Manip(T) ) \
 } // distribution
 
@@ -683,5 +683,5 @@
 	} /* ?|? */ \
 \
-	OSTYPE_VOID_IMPL( _Ostream_Manip(T) ) \
+	OSTYPE_VOID_IMPL( os, _Ostream_Manip(T) ) \
 } // distribution
 
@@ -718,5 +718,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( _Ostream_Manip(char) )
+	OSTYPE_VOID_IMPL( os, _Ostream_Manip(char) )
 } // distribution
 
@@ -765,5 +765,5 @@
 		return os;
 	} // ?|?
-	OSTYPE_VOID_IMPL( _Ostream_Manip(const char *) )
+	OSTYPE_VOID_IMPL( os, _Ostream_Manip(const char *) )
 } // distribution
 
